import bump
import typer

cli = typer.Typer()

@cli.command()
def default(message = typer.Argument(None, help="The message to be bumped")):
    bp = bump.Bump()
    if message is None:
        bp.show_secret()
    else:
        bp.push(message)

@cli.command()
def push():
    bp = bump.Bump()
    bp.version()

def main():
    typer.run(default)

if __name__ == "__main__":
    main()
